Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I get the following error on debian squeeze unstable when starting the pod:

$ bundle exec thin start
>> Using rack adapter
Jammit Warning: Asset compression disabled -- Java unavailable.
/usr/lib/ruby/1.8/yaml.rb:133:in `load': syntax error on line 29, col 2: `  socket_secure: false' (ArgumentError)

The full error is at the pastebin. Any suggestions?

http://pastebin.com/w8HR5H01

share|improve this question
add comment

migrated from webmasters.stackexchange.com Oct 30 '11 at 20:46

This question came from our site for pro webmasters.

1 Answer

up vote 0 down vote accepted

Turns out this was a syntax error in the application.yml file, the previous line to the one that was erroring - socket_secure: did not have a space betweent the key and value:

 ca_file:'/where/it/is'

instead of

 ca_file: '/where/it/is'
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.